%define	module	Devel-StackTrace
%define	name	perl-%{module}
%define	version 1.18
%define	release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Stack trace and stack trace frame objects 
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildArch:	noarch
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
%{module} module for perl.  Simple objects to deal with stack traces.
The parent object, Devel::StackTrace, holds a number of
Devel::StackTraceFrame objects (which have the same information as is
returned from caller()).  You can step through these frames forwards
and backwards as you want or retrieve specific frames.

%prep
%setup -q -n %{module}-%{version}
chmod 644 lib/Devel/StackTrace.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{perl_vendorlib}/Devel
%{_mandir}/*/*



%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.18-2mdv2009.0
+ Revision: 268419
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.18-1mdv2009.0
+ Revision: 194847
- update to new version 1.18

* Sun Feb 03 2008 Funda Wang <fundawang@mandriva.org> 1.16-1mdv2008.1
+ Revision: 161657
- update to new version 1.16

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.15-2mdv2008.0
+ Revision: 64784
- rebuild

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.15-1mdv2008.0
+ Revision: 20058
- 1.15


* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-1mdk
- New release 1.13

* Tue Oct 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdk
- New release 1.12
- spec cleanup
- fix directory onwership
- %%mkrel
- make test in %%check
- better summary
- better url
- fix sources url

* Fri Jun 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.11-1mdk
- ARG! 1.11 !"!!"#"!*#E*FRI)ET"5IXUUSJFH fsck this

* Wed Jun 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.03-1mdk
- 1.03
- wipe out buildroot in %%install, not %%prep
- coosmetics

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.03-3mdk
- rebuild for new auto{prov,req}

